# NOTE: Derived from blib/lib/ClearCase/Wrapper/DSB.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper::DSB;

#line 247 "blib/lib/ClearCase/Wrapper/DSB.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/DSB/describe.al)"
sub describe {
    my $desc = ClearCase::Argv->new(@ARGV);
    $desc->optset(qw(CC WRAPPER));

    $desc->parseCC(qw(g|graphical local l|long s|short 
	    fmt=s alabel=s aattr=s ahlink=s ihlink=s
	    cview version=s ancestor
	    predecessor pname type=s cact));
    $desc->parseWRAPPER(qw(parents|par9999=s));
    my $generations = abs($desc->flagWRAPPER('parents') || 0);
    if ($generations) {
	my $pred = ClearCase::Argv->desc([qw(-fmt %En@@%PVn)]);
	$pred->autofail(1);
	my @nargs;
	my @args = $desc->args;
	for my $arg (@args) {
	    my $narg = $arg;
	    for (my $i = $generations; $i; $i--) {
		$narg = $pred->args($narg)->qx;
	    }
	    push(@nargs, $narg);
	}
	$desc->args(@nargs);
    }
    $desc->exec('CC');
}

# end of ClearCase::Wrapper::DSB::describe
1;
